Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001716TestLinkTest Plan (builds, milestones, test assign)public2008-09-18 23:162008-12-08 20:03
Reporterseanlanter 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 Beta 3 
Fixed in Version1.8 RC 1 
Summary0001716: Add Test Cases: navigation filter causes MySQL error for keyword 'AND' update
Description1) action: select "Home > Add Test Cases"
   outcome: the normal screen appears

2) action: choose a keyword that is assigned to exactly one Test Case
            then click the AND button
            then update the filter
   outcome: the normal screen is re-drawn correctly

3) action: click on the Test Suite that has that particular Test Case
   outcome: the Test Case is presented correctly, but I also get an error screen (see Additional Information)
Additional InformationERROR ON exec_query() - database.class.php
1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'AND testcase_id IN ( SELECT FOXDOG.testcase_id FROM ( SE' at line 5 - SELECT testcase_id,keyword_id,keyword FROM keywords K, testcase_keywords WHERE keyword_id = K.id AND testcase_id = AND testcase_id IN ( SELECT FOXDOG.testcase_id FROM ( SELECT COUNT(testcase_id) AS HITS,testcase_id FROM keywords K, testcase_keywords WHERE keyword_id = K.id AND keyword_id IN (2) GROUP BY testcase_id ) AS FOXDOG WHERE FOXDOG.HITS=1) ORDER BY keyword ASC

THE MESSAGE :: SQL [92] executed [took 0.0001 secs][all took 0.0401 secs]: SELECT testcase_id,keyword_id,keyword FROM keywords K, testcase_keywords WHERE keyword_id = K.id AND testcase_id = AND testcase_id IN ( SELECT FOXDOG.testcase_id FROM ( SELECT COUNT(testcase_id) AS HITS,testcase_id FROM keywords K, testcase_keywords WHERE keyword_id = K.id AND keyword_id IN (2) GROUP BY testcase_id ) AS FOXDOG WHERE FOXDOG.HITS=1) ORDER BY keyword ASC Query failed: errorcode[1064] errormsg:You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'AND testcase_id IN ( SELECT FOXDOG.testcase_id FROM ( SE' at line 5
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFirefox
PHP Version5.2.5
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2008-09-18 23:16 seanlanter New Issue
2008-09-18 23:16 seanlanter Browser => Firefox
2008-09-18 23:16 seanlanter PHP Version => 5.2.5
2008-09-18 23:25 fman Status new => assigned
2008-09-18 23:25 fman Assigned To => fman
2008-09-19 00:45 fman Status assigned => confirmed
2008-09-19 16:30 fman Status confirmed => resolved
2008-09-19 16:30 fman Fixed in Version => next development 1.8 RC 1
2008-09-19 16:30 fman Resolution open => fixed
2008-12-08 20:03 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker